Install Prerequisites for CA Service Management 17.2.0.8

casm172
This article contains the following topics:
Verify and complete the following prerequisites before proceeding with installation of CA Service Desk Manager, CA Service Catalog, and CA Asset Portfolio Management. For more information, see Release Notes.
Installation Prerequisites for CA Service Desk Manager
  • Ensure that CA SDM and xFlow Interface 17.2 and above are installed in your environment.
  • Back up the system database (MDB). The system database (MDB) backup is mandatory and ensures safe data recovery if any problems are encountered during the installation process.
  • Do not invoke ApplyPTF manually in your system while running the
    CA Service Management
    17.2.0.8 patch installer.
  • If in CA Service Desk Manager - Conventional configuration, the Primary and Secondary are on separate nodes, and the xFlow Interface is deployed on the Secondary Server, then the Database Client (Microsoft SQL Native Client or Oracle Database Client) is required on the Secondary Server for the successful installation.
  • CA SDM must be installed for deploying xFlow Interface. In a conventional configuration, we recommended installing the xFlow Interface server on a secondary server. Advanced Availability users can install the xFlow Interface only on an application server.
Installation Prerequisites for CA Service Catalog
Verify and complete the following prerequisites before proceeding with CA Service Catalog 17.2.0.8 installation:
  • Ensure that CA Service Catalog 17.2 and above are installed in your environment.
  • Back up the system database (MDB). The system database (MDB) backup is mandatory and ensures safe data recovery if any problems are encountered during the installation process.
Installation Prerequisites for CA Asset Portfolio Management
CA Asset Portfolio Management (CA APM) architecture is highly database driven and has no rollback mechanism for database-related changes. Hence, uninstallation of CA APM patch is not recommended and is not supported.
The only way to revert the database changes, if required, is by restoring the database backup which maylead to data loss.
Verify and complete the following prerequisites before proceeding with CA Asset Portfolio Management 17.2.0.8 installation:
If you have installed CA Asset Portfolio Management (ITAM) 17.2.0.4, do not select the CA Asset Portfolio Management product option while installing 17.2.08.
While installing CA Service Management 17.2.0.8, the installer wizard will show CA Service Management 17.2.0.4 installation tasks only for CA Asset Portfolio Management (ITAM).
  • Ensure that CA Asset Portfolio Management 17.2 and above is installed in your environment.
  • Back up the system database (MDB). The system database (MDB) backup is mandatory and ensures safe data recovery if any problems are encountered during the installation process.